Changes in version 2.3.10 <silvan.calarco@mambasoft.it> 20110402
- installer.sh: cleanup for a couple of warings/errors at the end of installation log
---------------------------------------------------------------------------------

Changes in version 2.3.9 <silvan.calarco@mambasoft.it> 20110310
- installer: added check flag to configure updates from stable channels (for snapshot releases)
---------------------------------------------------------------------------------

Changes in version 2.3.8 <silvan.calarco@mambasoft.it> 20100919
- bootrecover: remove directory to avoid confusion with version in desktop-base-openmamba
---------------------------------------------------------------------------------

Changes in version 2.3.7 <silvan.calarco@mambasoft.it> 20100916
- installer.sh: don't set partition as bootable when grub2 is installed in MBR and the
                system in a extended partition
---------------------------------------------------------------------------------

Changes in version 2.3.6 <silvan.calarco@mambasoft.it> 20100914
- installer filesystems update:
   * make ext4 the default choice
   * added reiser4 choiche
---------------------------------------------------------------------------------

Changes in version 2.3.5 <silvan.calarco@mambasoft.it> 20100914
- md5progress.sh:
   * update squashfs image and md5sum path after switch to dracut
---------------------------------------------------------------------------------

Changes in version 2.3.4 <silvan.calarco@mambasoft.it> 20100906
- installer.sh:
   * use mkinitrd instead of mkinitramfs
---------------------------------------------------------------------------------

Changes in version 2.3.3 <silvan.calarco@mambasoft.it> 20100904
- bootrecover.sh:
   * fixed a syntax error reported by wrong return code
   * synced chainloader code (other os's) with installer
---------------------------------------------------------------------------------

Changes in version 2.3.2 <silvan.calarco@mambasoft.it> 20100627
- login.live: added login script for live session that asks to press ENTER before loggin in 
              (fixes active sessions warning during kdm shutdown/reboot fomr live media)
- Makefile: install tools in /sbin instead of /usr/sbin
---------------------------------------------------------------------------------

Changes in version 2.3.1 <silvan.calarco@mambasoft.it> 20100607
- installer.sh: use df instead of du to improve copying speed and other minor fixes
---------------------------------------------------------------------------------

Changes in version 2.3 <silvan.calarco@mambasoft.it> 20100602
- installer.kmdr: added dialog step for home partition choice with format and fstype information
- installer.sh: added support for home fstype when formatting
---------------------------------------------------------------------------------

Changes in version 2.2.31 <silvan.calarco@mambasoft.it> 20100528
- installer.sh: added support for clone install mode
- installer.kmdr: added checkbox to enable clone install mode
- installer.sh: added support for extra home partition installation (INSTALL_HOME_DEVICE, INSTALL_HOME_FORMAT)
- installer.sh: smarter progress bar during files copying
---------------------------------------------------------------------------------

Changes in version 2.2.30 <silvan.calarco@mambasoft.it> 20100129
- installer.sh: set bootable partition when grub2 is installed in MBR or it won't boot
---------------------------------------------------------------------------------

Changes in version 2.2.29 <silvan.calarco@mambasoft.it> 20091203
- installer.sh: fixes for other partitions naming in grub (Windows/DOS/Other)
---------------------------------------------------------------------------------

Changes in version 2.2.28 <silvan.calarco@mambasoft.it> 20091121
- added html gpl with italian and spanish translation support
- use qdbus to fix reboot with kde4 when a new partition table has been created
---------------------------------------------------------------------------------

Changes in version 2.2.27 <silvan.calarco@mambasoft.it> 20091103
- added spanish translation for installer and bootrecover
- installer.kmdr: fixed clock and language selection boxes
---------------------------------------------------------------------------------

Changes in version 2.2.26 <silvan.calarco@mambasoft.it> 20091026
- installer.sh: copy configuration file modified by installer.kmdr, currently keyboard, i18n and xorg.conf
- installer.kmdr: enable ext4 as it is now supported by grub 1.97
- installer.sh: pass kernel device instead of ID to grub-install
---------------------------------------------------------------------------------

Changes in version 2.2.25 <silvan.calarco@mambasoft.it> 20091021
- installer.kmdr: changed references to ~/.kde into ~/.kde4 to fix keyboard and country settings
---------------------------------------------------------------------------------

Changes in version 2.2.24 <silvan.calarco@mambasoft.it> 20090809
- installer.sh: use disk ID and write it in /etc/sysconfig/grub as grub installation device
- installer.sh: use UUID for root partition in /etc/fstab, use disk label for "other" boot loader entries
- installer.sh: create /etc/modprobe.d/initramfs.conf instead of using deprecated /etc/modprobe.conf
---------------------------------------------------------------------------------

Changes in version 2.2.23 <silvan.calarco@mambasoft.it> 20090724
- installer.sh: move installer.conf instead of copying to prevent mambawelcome from starting from a
                bootusb support after an installation
---------------------------------------------------------------------------------

Changes in version 2.2.22 <silvan.calarco@mambasoft.it> 20090717
- installer.sh: install from /squashfs to prevent strange access problems on 
  some files with unionfs
- installer.sh: copy input file to /root into destination filesystem (used by mambawelcome)
---------------------------------------------------------------------------------

Changes in version 2.2.21 <silvan.calarco@mambasoft.it> 20090521
- installer.kmdr: force reboot with dcop/ksmserver when sessions are open
- installer.kmdr: removed reiser4 fs choice because it is not supported by grub2
- installer.kmdr: add ext4 and reiser4 to linux type partitions
- installer.sh: remap device names for Other partitions (windows)
---------------------------------------------------------------------------------

Changes in version 2.2.20 <silvan.calarco@mambasoft.it> 20090520
- installer.sh: use dbus (KDE4) to send reboot signal at the and of the installation
- installer.sh: added ext4,ext2 and reiserfs support and set ext4 as default
---------------------------------------------------------------------------------

Changes in version 2.2.19 <silvan.calarco@mambasoft.it> 20090331
- installer.sh: cleanup DCOP files from /root directory to allow acpi power button event via DCOP to work
---------------------------------------------------------------------------------

Changes in version 2.2.18 <silvan.calarco@mambasoft.it> 20090308
- installer.sh: bind /mnt and udev socket before chrooted update-grub to make detection of
                other linuxes work (30_other_linux grub script)
---------------------------------------------------------------------------------

Changes in version 2.2.17 <silvan.calarco@mambasoft.it> 20090304
- installer.kmdr, installer.sh: fix disk driver detection with HAL 0.5.11 
  (replaced info.bus with info.subsystem)
- installer.sh: fix grub device map for installation from Flash disk to fixed disk
---------------------------------------------------------------------------------

Changes in version 2.2.16 <silvan.calarco@mambasoft.it> 20090217
- installer.kmdr: correct rules/base.lst fix
---------------------------------------------------------------------------------

Changes in version 2.2.15 <silvan.calarco@mambasoft.it> 20090210
- installer.kmdr: keyboard configuration: make use of rules/base.lst in place of xorg.lst 
                  (xkeyboard-config <- xkbdata)
---------------------------------------------------------------------------------

Changes in version 2.2.14 <silvan.calarco@mambasoft.it> 20090207
- installer.sh: remove cdrom from apt sources list after additional packages 
  installation
---------------------------------------------------------------------------------

Changes in version 2.2.13 <silvan.calarco@mambasoft.it>
- installer.kmdr: rewrite swap size hint calculation fix because it got lost
---------------------------------------------------------------------------------

Changes in version 2.2.12 <silvan.calarco@mambasoft.it>
- installer.kmdr: fixed swap size hint calculation
- installer.kmdr: fixed reboot dialog when pressing "Cancel"
---------------------------------------------------------------------------------

Changes in version 2.2.11 <silvan.calarco@mambasoft.it>
- installer.sh: fixed and cleaned logfile creation
---------------------------------------------------------------------------------

Changes in version 2.2.10 <silvan.calarco@mambasoft.it>
- installer.kmdr:
   * get current keyboard layout from KDE kxkbrc configuration if not (yet) set 
     system wide
   * better support for localization system wide settings
---------------------------------------------------------------------------------

Changes in version 2.2.9 <silvan.calarco@mambasoft.it>
- installer.kmdr:
   * fixed check for needed reboot when the partition table is created from 
     scratch
   * change minimum requirements for size (3,5 GB) and swap (less than 2*RAM)
   * set busy cursor before the localizations dialog appears
---------------------------------------------------------------------------------

Changes in version 2.2.8 <silvan.calarco@mambasoft.it>
- installer.sh:
   * fixed check for removable devices that caused grub install to fail
---------------------------------------------------------------------------------

Changes in version 2.2.7 <silvan.calarco@mambasoft.it>
- installer.kmdr:
   * reenable and refine support for removable devices
   * add reboot dialog after a partition table has suppousedly been recreated
     with gparted
---------------------------------------------------------------------------------
   
Changes in version 2.2.6 <silvan.calarco@mambasoft.it>
- installer.sh:
   * fixed quoting of grub chainloaded entries description
---------------------------------------------------------------------------------

Changes in version 2.2.5 <silvan.calarco@mambasoft.it>
- installer.kmdr:
   * localization: configure Xorg.conf; configure KEYMAP .map file
---------------------------------------------------------------------------------
   
Changes in version 2.2.4 <silvan.calarco@mambasoft.it>
- installer.kmdr:
   * complete and translate system localitazions page
---------------------------------------------------------------------------------

Changes in version 2.2.3 <silvan.calarco@mambasoft.it>
- bootrecover: moved to package desktop-base-openmamba
---------------------------------------------------------------------------------

Changes in version 2.2.2 <silvan.calarco@mambasoft.it>
- bootrecover.kmdr:
   * don't launch script in background
   * fix show of installation log
- bootrecover: fixed desktop icon name
---------------------------------------------------------------------------------

Changes in version 2.2.1 <silvan.calarco@mambasoft.it>
- bootrecover: added new wizard for boot loader recovery
---------------------------------------------------------------------------------

Changes in version 2.2.0 <silvan.calarco@mambasoft.it>
- installer.kmdr: added dialog page for system localizations
---------------------------------------------------------------------------------

Changes in version 2.1.5 <silvan.calarco@mambasoft.it>
- installer.sh: add support for device name conversion between live and
                installed system; fix grub.cfg accordingly. Needed to fix
		chainloaded systems yet
---------------------------------------------------------------------------------

Changes in version 2.1.4 <silvan.calarco@mambasoft.it>
- installer.kmdr: disable swap before launching gparted
- installer.sh: fix a reference to MOUNTDIR in now chrooted mkinitramfs
---------------------------------------------------------------------------------

Changes in version 2.1.3 <silvan.calarco@mambasoft.it>
- installer.kmdr: disable kde media notifier before launching gparted
- installer.sh: create initramfs in chroot environment to avoid using /tmp
                (ramdisk)
- installer.kmdr: umount partitions before launching gparted
- installer.kmdr: disable screensaver at the end of install script
---------------------------------------------------------------------------------

Changes in version 2.1.2 <silvan.calarco@mambasoft.it>
- installer.sh: minor fixes in setting filesystem label
- installer.kmdr: set MBR as the default boot loader install destination
---------------------------------------------------------------------------------

Changes in version 2.1.1 <silvan.calarco@mambasoft.it>
- installer.kmdr: fixed extended partitions check
- installer.kmdr: added partitions size checks
- installer.sh: fixed partition label for mkfs
---------------------------------------------------------------------------------

Changes in version 2.1.0 <silvan.calarco@mambasoft.it>
- installer redesigned with more wizard pages
---------------------------------------------------------------------------------

Changes in version 2.0.8 <silvan.calarco@mambasoft.it>
- installer.sh:
    * fixes in translations
    * fixes in post installation tuning
---------------------------------------------------------------------------------

Changes in version 2.0.7 <silvan.calarco@mambasoft.it>
- md5progress.sh/installer.sh: added italian translation
---------------------------------------------------------------------------------

Changes in version 2.0.6 <silvan.calarco@mambasoft.it>
- installer.kmdr: minor aesthetic changes
---------------------------------------------------------------------------------

Changes in version 2.0.5 <silvan.calarco@mambasoft.it>
- installer: added support for installdvd; use chrooted apt-get to install
  packages if found in media
---------------------------------------------------------------------------------
  
Changes in version 2.0.4 <silvan.calarco@mambasoft.it>
- installer.kmdr: 
    * disable DPMS features
---------------------------------------------------------------------------------

Changes in version 2.0.3 <silvan.calarco@mambasoft.it>
- installer.sh:
    * use update-grub to generate grub.cfg
- installer.desktop:
    * change menu category from X-OpenMamba to X-openmamba
---------------------------------------------------------------------------------
    
Changes in version 2.0.2 <silvan.calarco@mambasoft.it>
- installer.sh:
    * launch depinit on installation partition
---------------------------------------------------------------------------------

Changes in version 2.0.1 <silvan.calarco@mambasoft.it>
- installer.kmdr:
    * some cosmetic fix
---------------------------------------------------------------------------------
    
Changes in version 2.0 <silvan.calarco@mambasoft.it>
- installer.sh:
    * added support for mambawelcome: split user date configuration from
      system installation
- installed:
    * added support for mambawelcome: removed user and system configuration
      dialog pages
---------------------------------------------------------------------------------

Changes in version 1.2.24 <silvan.calarco@mambasoft.it>
- installer:
    * fixed launch of gparted when an empty disk is detected
---------------------------------------------------------------------------------

Changes in version 1.2.23 <silvan.calarco@mambasoft.it>
- installer:
    * fixed some text message
- installer.sh:
    * set group nopermfs for administrator
---------------------------------------------------------------------------------
    
Changes in version 1.2.22 <silvan.calarco@mambasoft.it>
- installer:
    * added specific desktop icon
---------------------------------------------------------------------------------
    
Changes in version 1.2.21 <silvan.calarco@mambasoft.it>
- installer.sh: 
    * remove duplicate root entry in /etc/fstab
---------------------------------------------------------------------------------

Changes in version 1.2.20 <silvan.calarco@mambasoft.it>
- installer.kmdr
    * md5 check bugfixes and enhancements
---------------------------------------------------------------------------------
    
Changes in version 1.2.19 <silvan.calarco@mambasoft.it>
- installer.kmdr
    * fixed bug of multiple execution of md5progress when
      going to next wizard page
    * launch a dialog requesting to launch gparted when no partitions exist
    * make sure "ok to format?" question is launched after conf file creation
      (make use of @execBegin and @execEnd blocks)
    * completed italian translation
    * fixed smb.conf configuration
---------------------------------------------------------------------------------

Changes in version 1.2.18 <silvan.calarco@mambasoft.it>
- installer.kmdr: added md5 support check
- installer.sh: remove sensible information (passwords) from ~/installer.conf
- md5progress.sh: added script for handing a progress bar when checking md5
---------------------------------------------------------------------------------

Changes in version 1.2.17 <silvan.calarco@mambasoft.it>
- installer.sh
  * disable ktip on user login afert installation
  * set hostname and workgroup in samba configuration file
---------------------------------------------------------------------------------
  
Changes in version 1.2.16 <silvan.calarco@mambasoft.it>
- installer
  * added support for SATA/PATA/SCSI driver detection and configuration in
    mkinitramfs
---------------------------------------------------------------------------------

Changes in version 1.2.15 <silvan.calarco@mambasoft.it>
- installer
  * configure root partition in fstab before launching mkinitramfs to let
    it detect the right filesystem
---------------------------------------------------------------------------------

Changes in version 1.2.14 <silvan.calarco@mambasoft.it>
- installer.kmdr
  * add checkbox to enable/disable removable partitions
  * ignore iso9660 partitions
- installer
  * added support for mamba components installer autostart
  * removed installation of second_stage_todo.txt
---------------------------------------------------------------------------------

Changes in version 1.2.13 <silvan.calarco@mambasoft.it>
- installer.kmdr
  * added workaround to support mbr extended (embr) partitions that are
    not reported by HAL
---------------------------------------------------------------------------------
  
Changes in version 1.2.12 <silvan.calarco@mambasoft.it>
- installer version 0.4
  * add more support for hutpluggable device
  * some boot loader fixes
---------------------------------------------------------------------------------

Changes in version 1.2.11 <silvan.calarco@mambasoft.it>
- install file second_stage_todo.txt on user desktop
---------------------------------------------------------------------------------

Changes in version 1.2.10 <silvan.calarco@mambasoft.it>
- installer
   * fix .qt file paths in root home directory
---------------------------------------------------------------------------------

Changes in version 1.2.9 <silvan.calarco@mambasoft.it>
- installer version 0.3
  * fix chainloader configuration using the dev2gdev function
- installer.kmdr version 0.3
  * added "set bootable" checkbox
---------------------------------------------------------------------------------

Changes in version 1.2.8 <silvan.calarco@mambasoft.it>
- installer.kmdr version 0.2
  * added support for EFI GPT partitions
  * added support for boot menu chainload entries 
  * added italian translation
- installer version 0.2
  * change finallabel to "installation aborted" text in case of errors
  * fix user autologin configuration in kdmrc
---------------------------------------------------------------------------------

Changes in version 1.2.7 <silvan.calarco@mambasoft.it>
- installer.sh: show label of installable partitions
- installer.sh: set root entry in /etc/fstab
---------------------------------------------------------------------------------

Changes in version 1.2.6 <silvan.calarco@mambasoft.it>
- installer.sh: fix console device (vc/x -> ttyx) in inittab
---------------------------------------------------------------------------------

Changes in version 1.2.5 <silvan.calarco@mambasoft.it>
- installer.kmdr: show progress bar and installation log;
                  lots of UI improvements
- installer: add support for communication via DCOP
---------------------------------------------------------------------------------

Changes in version 1.2.4 <silvan.calarco@mambasoft.it>
- installer.sh: add memorandum for some requirements
- installer.kmdr: first usable release
- installer.kmdr: added menu desktop file
---------------------------------------------------------------------------------

Changes in version 1.2.3 <silvan.calarco@mambasoft.it>
- installer.sh: add header for defaults and gfxterm in grub.cfg
---------------------------------------------------------------------------------

Changes in version 1.2.2 <silvan.calarco@mambasoft.it>
- installer.sh: enhancements and fixes
---------------------------------------------------------------------------------

Changes in version 1.2.1 <silvan.calarco@mambasoft.it>
- added preliminary installer files
---------------------------------------------------------------------------------

Changes in version 1.2 <silvan.calarco@mambasoft.it>
- package renamed to livecd-tools, old name was qilinux-livecd
- removed QiLinux wallpaper
---------------------------------------------------------------------------------
